Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNaming Namespace Reference

## Compounds
interface | BindingIterator
exception | InvalidAddress
exception | AlreadyBound
struct | Binding
exception | InvalidName
exception | CannotProceed
struct | NameComponent
interface | NamingContext
exception | NotFound
exception | NotEmpty
interface | NamingContextExt
## Typedefs
typedef string | Istring
typedef sequence< NameComponent > | Name
typedef sequence< Binding > | BindingList
## Enumerations
enum | BindingType { nobject, ncontext }

## Typedef Documentation

typedef sequence<Binding> CosNaming::BindingList

typedef string CosNaming::Istring

typedef sequence<NameComponent> CosNaming::Name

## Enumeration Type Documentation

enum CosNaming::BindingType

  | Enumeration values:
  nobject |
  ncontext |